npm command-line interface

# npm-shrinkwrap

Lock down dependency versions for publication

## Table of contents

- Synopsis
- Description
- See Also

### Synopsis

    npm shrinkwrap

### Description

This command repurposes `package-lock.json` into a publishable `npm-shrinkwrap.json` or simply creates a new one. The file created and updated by this command will then take precedence over any other existing or future `package-lock.json` files. For a detailed explanation of the design and purpose of package locks in npm, see package-locks.

### See Also

- npm install
- npm run-script
- npm scripts
- package.js
- package-locks
- package-lock.json
- shrinkwrap.json
- npm ls